Role (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.Role class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class Role

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.AuthzNamedBean
              org.hyperic.hq.authz.server.session.Role

All Implemented Interfaces:
  java.io.Serializable

    public class Role

extends AuthzNamedBean

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`AuthzNamedBean.Comparator`

Constructor Summary
`Role()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Collection` | `getCalendars()`
`java.util.Collection` | `getCalendars(RoleCalendarType type)` Get a collection of `Calendar`s of the specified type for the role.
`java.lang.String` | `getDescription()`
`java.util.Collection` | `getOperations()`
`OwnedRoleValue` | `getOwnedRoleValue()`
`Resource` | `getResource()`
`java.util.Collection` | `getResourceGroups()`
`RoleValue` | `getRoleValue()` Deprecated. use (this) Role instead
`java.util.Collection` | `getSubjects()`
`boolean` | `isSystem()`

Methods inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`getName, getSortName, hashCode, setName, setSortName`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Role

    public Role()

Method Detail

### getDescription

    public java.lang.String getDescription()

### isSystem

    public boolean isSystem()

### getResource

    public Resource getResource()

### getResourceGroups

    public java.util.Collection getResourceGroups()

### getOperations

    public java.util.Collection getOperations()

### getSubjects

    public java.util.Collection getSubjects()

### getCalendars

    public java.util.Collection getCalendars(RoleCalendarType type)

  Get a collection of `Calendar`s of the specified type for the role.

### getCalendars

    public java.util.Collection getCalendars()

### getRoleValue

    public RoleValue getRoleValue()

  Deprecated. use (this) Role instead

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AuthzNamedBean`

### getOwnedRoleValue

    public OwnedRoleValue getOwnedRoleValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.